<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.common.task.mapper.SysTaskItemMapper">

    <resultMap id="BaseResultMap" type="com.mosty.common.task.entity.SysTaskItem">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="rw_id" column="rw_id" jdbcType="BIGINT"/>
            <result property="rwjsr_id" column="rwjsr_id" jdbcType="BIGINT"/>
            <result property="rwjsrsfzh" column="rwjsrsfzh" jdbcType="VARCHAR"/>
            <result property="rwjsrxm" column="rwjsrxm" jdbcType="VARCHAR"/>
            <result property="rwjsrdw_id" column="rwjsrdw_id" jdbcType="BIGINT"/>
            <result property="rwjsrdw" column="rwjsrdw" jdbcType="VARCHAR"/>
            <result property="rwjsrbm_id" column="rwjsrbm_id" jdbcType="BIGINT"/>
            <result property="rwjsrbmmc" column="rwjsrbmmc" jdbcType="VARCHAR"/>
            <result property="rwzt" column="rwzt" jdbcType="INTEGER"/>
            <result property="rwzdsj" column="rwzdsj" jdbcType="TIMESTAMP"/>
            <result property="rwcksj" column="rwcksj" jdbcType="TIMESTAMP"/>
            <result property="rwwcsj" column="rwwcsj" jdbcType="TIMESTAMP"/>
            <result property="bz" column="bz" jdbcType="VARCHAR"/>
            <result property="xt_zxbz" column="xt_zxbz" jdbcType="INTEGER"/>
            <result property="xt_zxyy" column="xt_zxyy" jdbcType="VARCHAR"/>
            <result property="xt_cjsj" column="xt_cjsj" jdbcType="TIMESTAMP"/>
            <result property="xt_lrsj" column="xt_lrsj" jdbcType="TIMESTAMP"/>
            <result property="xt_lrrxm" column="xt_lrrxm" jdbcType="VARCHAR"/>
            <result property="xt_lrrid" column="xt_lrrid" jdbcType="BIGINT"/>
            <result property="xt_lrrbm" column="xt_lrrbm" jdbcType="VARCHAR"/>
            <result property="xt_lrrbmid" column="xt_lrrbmid" jdbcType="VARCHAR"/>
            <result property="xt_lrip" column="xt_lrip" jdbcType="VARCHAR"/>
            <result property="xt_zhxgsj" column="xt_zhxgsj" jdbcType="TIMESTAMP"/>
            <result property="xt_zhxgrxm" column="xt_zhxgrxm" jdbcType="VARCHAR"/>
            <result property="xt_zhxgid" column="xt_zhxgid" jdbcType="BIGINT"/>
            <result property="xt_zhxgrbm" column="xt_zhxgrbm" jdbcType="VARCHAR"/>
            <result property="xt_zhxgrbmid" column="xt_zhxgrbmid" jdbcType="BIGINT"/>
            <result property="xt_zhxgrip" column="xt_zhxgrip" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,rw_id,rwjsr_id,
        rwjsrsfzh,rwjsrxm,rwjsrdw_id,
        rwjsrdw,rwjsrbm_id,rwjsrbmmc,
        rwzt,rwzdsj,rwcksj,
        rwwcsj,bz,xt_zxbz,
        xt_zxyy,xt_cjsj,xt_lrsj,
        xt_lrrxm,xt_lrrid,xt_lrrbm,
        xt_lrrbmid,xt_lrip,xt_zhxgsj,
        xt_zhxgrxm,xt_zhxgid,xt_zhxgrbm,
        xt_zhxgrbmid,xt_zhxgrip
    </sql>
</mapper>
